Bug 37306 - XamlC doesn´t support adding x:String in resource dictionary
Summary: XamlC doesn´t support adding x:String in resource dictionary
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.0.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Stephane Delcroix
URL:
Depends on:
Blocks:
 
Reported: 2015-12-28 18:55 UTC by Ahmed Alejo
Modified: 2016-02-04 18:54 UTC (History)
6 users (show)

Tags: AC XamlC
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ahmed Alejo 2015-12-28 18:55:07 UTC
The follow doesn´t work with [assembly: XamlCompilation(XamlCompilationOptions.Compile)]

<ContentView xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:system="clr-namespace:System;assembly=mscorlib"
             x:Class="DefaultApplicationResources">
    <ContentView.Resources>
        <ResourceDictionary>
            <!--The following doesn´t work with [assembly: XamlCompilation(XamlCompilationOptions.Compile)]-->
            <system:String x:Key="AppName">Mobile App</system:String>
            <!--Nor-->
            <x:String x:Key="ApplicationName">Mobile App</x:String>
        </ResourceDictionary>
    <ContentView.Resources>
</ContentView>
Comment 1 Stephane Delcroix 2016-01-04 10:24:27 UTC
I can confirm that <system:String> doesn't work, but <x:String> works perfectly well for me
Comment 2 Rui Marinho 2016-01-20 12:10:09 UTC
Should be fixed in 2.1.0-pre1
Comment 3 Ahmed Alejo 2016-01-23 21:22:38 UTC
I´ll create a test project to verify this!